Package com.xebialabs.deployit.plugin.api.execution

## Enum Step.Result

- java.lang.Object
- - java.lang.Enum<Step.Result>
  - - com.xebialabs.deployit.plugin.api.execution.Step.Result

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Step.Result>`
  Enclosing interface:
    Step<C extends ExecutionContext>

      @Deprecated
      public static enum Step.Result
      extends java.lang.Enum<Step.Result>

  Deprecated.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Fail` | Deprecated.
    `Success` | Deprecated.
    `Warn` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Step.Result` | `valueOf​(java.lang.String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static Step.Result[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final Step.Result Success

      Deprecated.

    - #### Fail

          public static final Step.Result Fail

      Deprecated.

    - #### Warn

          public static final Step.Result Warn

      Deprecated.

  - ### Method Detail

    - #### values

          public static Step.Result[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Step.Result c : Step.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Step.Result valueOf​(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null